{{!-- Action Type --}}
<div class="form-group select">
  <label>{{localize "D35E.ActionType"}}</label>
  <select name="data.actionType">
    {{#select data.data.actionType}}
    <option value=""></option>
    {{#each config.itemActionTypes as |name type|}}
    <option value="{{type}}">{{name}}</option>
    {{/each}}
    {{/select}}
  </select>
</div>
{{#if data.data.actionType}}

{{#if isSpell}}
<div class="form-group">
  <label>{{localize "D35E.SpellEffect"}}</label>
  <div class="form-fields">
    <input type="text" name="data.spellEffect" value="{{data.data.spellEffect}}" placeholder="{{localize "D35E.SpellEffectExample"}}"/>
  </div>
</div>
{{/if}}
{{#unless isWeaponAttack}}
{{#if isConsumable}}
<div class="form-group">
  <label>{{localize "D35E.SpellLike"}}</label>
  <label class="checkbox" style="position: relative; flex: 0 20px">
    <input type="checkbox" class="stylized" name="data.isFromSpell" {{checked data.data.isFromSpell}}/>
    <span class="checkmark"></span>
  </label>
</div>
{{/if}}
{{#if isSpellLike}}
<div class="flexrow">
  <div class="form-group" style="flex: 1">
    <div class="toggle" style="width: 168px">
      <input id="{{randomUuid}}-data.spellData.metamagicFeats.good" type="checkbox" name="data.metamagicFeats.maximized" {{checked data.data.metamagicFeats.maximized}}/>
      <label style="width: 168px" for="{{randomUuid}}-data.spellData.metamagicFeats.good">{{#if data.data.metamagicFeats.maximized}}<i class="far fa-check-square"></i>{{else}}<i class="far fa-square"></i>{{/if}}{{localize "D35E.SpellMaximized"}}</label>
    </div>
  </div>
  <div class="form-group" style="flex: 1">
    <div class="toggle" style="width: 168px">
      <input id="{{randomUuid}}-data.spellData.metamagicFeats.evil" type="checkbox" name="data.metamagicFeats.empowered" {{checked data.data.metamagicFeats.empowered}}/>
      <label style="width: 168px" for="{{randomUuid}}-data.spellData.metamagicFeats.evil">{{#if data.data.metamagicFeats.empowered}}<i class="far fa-check-square"></i>{{else}}<i class="far fa-square"></i>{{/if}}{{localize "D35E.SpellEmpowered"}}</label>
    </div>
  </div>
  <div class="form-group" style="flex: 1">
    <div class="toggle" style="width: 168px">
      <input id="{{randomUuid}}-data.spellData.metamagicFeats.chaotic" type="checkbox" name="data.metamagicFeats.enlarged" {{checked data.data.metamagicFeats.enlarged}}/>
      <label style="width: 168px" for="{{randomUuid}}-data.spellData.metamagicFeats.chaotic">{{#if data.data.metamagicFeats.enlarged}}<i class="far fa-check-square"></i>{{else}}<i class="far fa-square"></i>{{/if}}{{localize "D35E.SpellEnlarged"}}</label>
    </div>
  </div>
</div>
<div class="flexrow">
  <div class="form-group" style="flex: 1">
    <div class="toggle">
      <input id="{{randomUuid}}-data.spellData.metamagicFeats.lawful" type="checkbox" name="data.metamagicFeats.intensified" {{checked data.data.metamagicFeats.intensified}}/>
      <label style="width: 168px" for="{{randomUuid}}-data.spellData.metamagicFeats.lawful">{{#if data.data.metamagicFeats.intensified}}<i class="far fa-check-square"></i>{{else}}<i class="far fa-square"></i>{{/if}}{{localize "D35E.SpellIntensified"}}</label>
    </div>
  </div>
  <div class="form-group" style="flex: 1">
    <div class="toggle">
      <input id="{{randomUuid}}-data.spellData.metamagicFeats.widened" type="checkbox" name="data.metamagicFeats.widened" {{checked data.data.metamagicFeats.widened}}/>
      <label style="width: 168px" for="{{randomUuid}}-data.spellData.metamagicFeats.widened">{{#if data.data.metamagicFeats.widened}}<i class="far fa-check-square"></i>{{else}}<i class="far fa-square"></i>{{/if}}{{localize "D35E.SpellWidened"}}</label>
    </div>
  </div>
  <div class="form-group" style="flex: 1">
    <div class="toggle">
      <input id="{{randomUuid}}-data.spellData.metamagicFeats.enhanced" type="checkbox" name="data.metamagicFeats.enhanced" {{checked data.data.metamagicFeats.enhanced}}/>
      <label style="width: 168px" for="{{randomUuid}}-data.spellData.metamagicFeats.enhanced">{{#if data.data.metamagicFeats.enhanced}}<i class="far fa-check-square"></i>{{else}}<i class="far fa-square"></i>{{/if}}{{localize "D35E.SpellEnhanced"}}</label>
    </div>
  </div>
</div>

<div class="form-group">
  <label>{{localize "D35E.SpellAttackCount"}}</label>
  <div class="form-fields">
    <input type="text" name="data.attackCountFormula" value="{{data.data.attackCountFormula}}" placeholder="{{localize "D35E.SpellAttackCountExample"}}"/>
  </div>
</div>
{{#unless isSpell}}
<div class="form-group">
  <label>{{localize "D35E.BaseSpellCL"}}</label>
  <div class="form-fields">
    <input type="text" name="data.baseCl" value="{{data.data.baseCl}}" placeholder="{{localize "D35E.BaseSpellCL"}}"/>
  </div>
</div>
<div class="flexrow">
  <div class="form-group" style="flex: 1">
    <div class="toggle">
      <input id="{{randomUuid}}-data.spellData.sr" type="checkbox" name="data.sr" {{checked data.data.sr}}/>
      <label style="width: 168px" for="{{randomUuid}}-data.spellData.sr">{{#if data.data.sr}}<i class="far fa-check-square"></i>{{else}}<i class="far fa-square"></i>{{/if}}{{localize "D35E.SpellResistance"}}</label>
    </div>
  </div>
  <div class="form-group" style="flex: 1">
    <div class="toggle">
      <input id="{{randomUuid}}-data.spellData.pr" type="checkbox" name="data.pr" {{checked data.data.pr}}/>
      <label style="width: 168px" for="{{randomUuid}}-data.spellData.pr">{{#if data.data.pr}}<i class="far fa-check-square"></i>{{else}}<i class="far fa-square"></i>{{/if}}{{localize "D35E.PowerResistance"}}</label>
    </div>
  </div>
  <span style="flex: 1">&nbsp;</span>
</div>

{{/unless}}
{{/if}}
{{/unless}}

{{#unless isAttack}}
<div class="form-group">
  <label class="tooltip">{{localize "D35E.MaxDamageDice"}}
    <span class="tooltipcontent">
      @item.maxDamageDice
    </span>
  </label>
  <div class="form-fields">
    <input type="text" name="data.maxDamageDiceFormula" value="{{data.data.maxDamageDiceFormula}}" placeholder="{{localize "D35E.SpellAttackCountExample"}}"/>
    <span style="flex: 0; margin-left: 8px">Total:</span>
    <input type="text" disabled value="{{data.data.maxDamageDice}}" placeholder="{{localize "D35E.SpellAttackCountExample"}}"/>
  </div>
</div>
{{/unless}}

{{!-- Attack Roll Bonus --}}
{{#if hasAttackRoll }}
<div class="form-group">
  <label>{{localize "D35E.AttackRollBonus"}}</label>
  <div class="form-fields">
    <input type="text" name="data.attackBonus" value="{{data.data.attackBonus}}" placeholder="{{localize "D35E.Formula"}}"/>
  </div>
</div>

<div class="form-group">
  <label>{{localize "D35E.CriticalThreatRange"}}</label>
  <div class="form-fields">
    <input type="text" name="data.ability.critRange" value="{{data.data.ability.critRange}}" placeholder="{{localize "D35E.Formula"}}"/>
  </div>
</div>

<div class="form-group">
  <label>{{localize "D35E.CriticalMultiplier"}}</label>
  <div class="form-fields">
    <input type="text" name="data.ability.critMult" value="{{data.data.ability.critMult}}" data-dtype="Number"/>
  </div>
</div>
<div class="form-group">
  <label>{{localize "D35E.CriticalConfirmBonus"}}</label>
  <div class="form-fields">
    <input type="text" name="data.critConfirmBonus" value="{{data.data.critConfirmBonus}}" placeholder="{{localize "D35E.Formula"}}"/>
  </div>
</div>

<div class="form-group">
  <label>{{localize "D35E.VsTouchAc"}}</label>
  <label class="checkbox" style="position: relative; flex: 0 20px">
    <input type="checkbox" class="stylized" name="data.ability.vsTouchAc" {{checked data.data.ability.vsTouchAc}}/>
    <span class="checkmark"></span>
  </label>
</div>
{{!-- Attack Ability --}}
<div class="form-group select">
  <label>{{localize "D35E.AttackAbility"}}</label>
  <select name="data.ability.attack">
    {{#select data.data.ability.attack}}
    <option value=""></option>
    {{#each config.abilities as |ability a|}}
    <option value="{{a}}">{{ability}}</option>
    {{/each}}
    {{/select}}
  </select>
</div>

<h4 class="attack-header">
  {{localize "D35E.ExtraAttacks"}}
  <a class="attack-control add-attack"><i class="fas fa-plus"></i></a>
</h4>
<ol class="attack-parts form-group">
  {{#each data.data.attackParts as |part a|}}
  <li class="attack-part flexrow" data-attack-part="{{a}}">
    <input type="text" name="data.attackParts.{{a}}.0" placeholder="{{localize "D35E.AttackBonusFormula"}}" value="{{lookup this "0"}}"/>
    <input type="text" name="data.attackParts.{{a}}.1" placeholder="{{localize "D35E.Name"}}" value="{{lookup this "1"}}"/>
    <a class="attack-control delete-attack"><i class="fas fa-minus"></i></a>
  </li>
  {{/each}}
</ol>
{{/if}}

{{!-- Damage Ability --}}
<div class="form-group select">
  <label>{{localize "D35E.DamageAbility"}}</label>
  <select name="data.ability.damage">
    {{#select data.data.ability.damage}}
    <option value=""></option>
    {{#each config.abilities as |ability a|}}
    <option value="{{a}}">{{ability}}</option>
    {{/each}}
    {{/select}}
  </select>
  <select name="data.ability.damageMult" data-dtype="Number">
    {{#select data.data.ability.damageMult}}
    <option value="0.5">x0.5</option>
    <option value="1" {{#unless data.data.ability.damageMult}}selected="selected"{{/unless}}>x1</option>
    <option value="1.5">x1.5</option>
    <option value="2">x2</option>
    {{/select}}
  </select>
</div>

{{!-- Damage Formula --}}
<h4 class="damage-header">
  {{#unless isHealing }}{{localize "D35E.DamageFormula"}}{{ else }}{{localize "D35E.HealingFormula"}}{{/unless}}
  <a class="damage-control add-damage"><i class="fas fa-plus"></i></a>
</h4>
<ol class="damage-parts form-group tooltip">
  <span class="tooltipcontent">
    NOTE: Normally, every variable entered in these fields are not multiplied on a critical hit,
    EXCEPT the first damage die in the first field. If you want to have something multiplied on
    a critical hit, multiply it by the variable @critMult.<br>
    Examples:<br>
    1d8 + 2 * @critMult<br>
    2d6 + (@critMult)d6
  </span>
  {{#each data.data.damage.parts as |part i| }}
  <li class="damage-part flexrow" data-damage-part="{{i}}">
    <input type="text" name="data.damage.parts.{{i}}.0" placeholder="{{#unless isHealing }}{{localize "D35E.DamageFormula"}}{{ else }}{{localize "D35E.HealingFormula"}}{{/unless}}" value="{{lookup this "0"}}"/>
    <select name="data.damage.parts.{{i}}.2">
      {{#select (lookup this "2")}}
      <option value="">{{localize "D35E.Custom"}}</option>
      {{#each ../damageTypes as |damage type|}}
      <option value="{{damage.data.data.uniqueId}}">{{damage.data.name}} ({{damage.damageTypeString}})</option>
      {{/each}}
      {{/select}}
    </select>
    {{#unless (lookup this "2")}}
    <input type="text" name="data.damage.parts.{{i}}.1" value="{{lookup this "1"}}" placeholder="{{localize "D35E.DamageTypes"}}"/>
    {{/unless}}
    <a class="damage-control delete-damage"><i class="fas fa-minus"></i></a>
  </li>
  {{/each}}
</ol>

{{!-- Damage Formula --}}
<h4 class="damage-header">
  {{localize "D35E.AlternativeDamageFormula"}}
  <a class="damage-alt-control add-alt-damage"><i class="fas fa-plus"></i></a>
</h4>
<ol class="damage-parts form-group tooltip">
  <span class="tooltipcontent">
    This damage is not affected by crtical hits or other modifiers automatically.
  </span>
  {{#each data.data.damage.alternativeParts as |part i| }}
  <li class="damage-part flexrow" data-damage-part="{{i}}">
    <input type="text" name="data.damage.alternativeParts.{{i}}.0" placeholder="{{#unless isHealing }}{{localize "D35E.DamageFormula"}}{{ else }}{{localize "D35E.HealingFormula"}}{{/unless}}" value="{{lookup this "0"}}"/>
    <select name="data.damage.alternativeParts.{{i}}.2">
      {{#select (lookup this "2")}}
      <option value="">{{localize "D35E.Custom"}}</option>
      {{#each ../damageTypes as |damage type|}}
      <option value="{{damage.data.data.uniqueId}}">{{damage.data.name}}</option>
      {{/each}}
      {{/select}}
    </select>
    {{#unless (lookup this "2")}}
    <input type="text" name="data.damage.alternativeParts.{{i}}.1" value="{{lookup this "1"}}" placeholder="{{localize "D35E.DamageTypes"}}"/>
    {{/unless}}
    <a class="damage-alt-control delete-alt-damage"><i class="fas fa-minus"></i></a>
  </li>
  {{/each}}
</ol>

{{!-- Saving Throw --}}
{{#unless isSpell}}
<div class="form-group input-select">
  <label>{{localize "D35E.UseAutoDC"}}</label>
  <div class="form-fields">
    <select name="data.save.dcAutoType">
      {{#select data.data.save.dcAutoType}}
      <option value="">{{localize "D35E.Disable"}}</option>
      {{#each config.savingThrowCalculationTypes as |saveType type|}}
      <option value="{{type}}">{{saveType}}</option>
      {{/each}}
      {{/select}}
    </select>
    {{#unless data.data.save.dcAutoType}}
    
    {{else}}
    <span style="flex: 0;">+</span>
    <select name="data.save.dcAutoAbility">
      {{#select data.data.save.dcAutoAbility}}
      <option value="">{{localize "D35E.NoAbility"}}</option>
      {{#each config.abilities as |ability type|}}
      <option value="{{type}}">{{ability}}</option>
      {{/each}}
      {{/select}}
    </select>
    {{/unless}}
  </div>
</div>
{{/unless}}
<div class="form-group input-select">
  <label>{{#unless isSpell}}{{localize "D35E.DC"}}{{else}}{{localize "D35E.DCOffset"}}{{/unless}}</label>
  <div class="form-fields">
    <input type="text" {{#if data.data.save.dcAutoType}}disabled class="readonly"{{/if}} name="data.save.dc" value="{{data.data.save.dc}}" placeholder="{{#unless isSpell}}{{localize "D35E.DC"}}{{else}}{{localize "D35E.DCOffset"}}{{/unless}}"/>
    <select name="data.save.type">
      {{#select data.data.save.type}}
      <option value="">{{localize "D35E.Custom"}}</option>
      {{#each config.savingThrowTypes as |saveType type|}}
      <option value="{{type}}">{{saveType}}</option>
      {{/each}}
      {{/select}}
    </select>
    {{#unless data.data.save.type}}
    <input type="text" name="data.save.description" value="{{data.data.save.description}}" placeholder="{{localize "D35E.DCDescriptionExample"}}"/>
    {{else}}
    <select name="data.save.ability">
      {{#select data.data.save.ability}}
      <option value="">{{localize "D35E.Default"}}</option>
      {{#each config.abilities as |ability type|}}
      <option value="{{type}}">{{ability}}</option>
      {{/each}}
      {{/select}}
    </select>
    {{/unless}}



  </div>
</div>

{{!-- Attack Notes --}}
<div class="form-group stacked">
  <label>{{localize "D35E.AttackNotes"}}</label>
  <textarea type="text" name="data.attackNotes">{{data.data.attackNotes}}</textarea>
</div>

{{!-- Effect Notes --}}
<div class="form-group stacked">
  <label>{{localize "D35E.EffectNotes"}}</label>
  <textarea type="text" name="data.effectNotes" style="white-space: pre">{{data.data.effectNotes}}</textarea>
</div>

<div class="flexcol special-actions">
<h4 class="in-header">
  {{localize "D35E.SpecialActions"}}
  <a class="special-control add-special"><i class="fas fa-plus"></i></a>
</h4>
<ol class="special-parts form-group">
  {{#each data.data.specialActions as |part a|}}
  <li class="special-part flexcol" data-special-actions="{{a}}">
    <div class="flexrow"><span>Name:</span><input type="text" name="data.specialActions.{{a}}.name" placeholder="{{localize "D35E.Name"}}" value="{{lookup this "name"}}"/></div>
    <div class="flexrow"><span>Action:</span><input type="text" name="data.specialActions.{{a}}.action" placeholder="{{localize "D35E.Action"}}" value="{{lookup this "action"}}"/></div>
    <div class="flexrow"><span>Condition:</span><input type="text" name="data.specialActions.{{a}}.condition" placeholder="{{localize "D35E.Condition"}}" value="{{lookup this "condition"}}"/></div>
    <div class="flexrow"><span>Icon path:</span><input type="text" name="data.specialActions.{{a}}.img" placeholder="{{localize "D35E.Image"}}" value="{{lookup this "img"}}"/></div>
    <a class="special-control delete-special"><i class="fas fa-minus"></i>Remove</a>

  </li>
  {{/each}}
</ol>
  <div class="spellbuff-link flexcol">
  <div style="width: 100%; text-align: center; padding: 12px">
    You can drop a buff from compendium here to create a special action.
  </div>
  </div>
</div>

<h4 class="in-header">
  {{localize "D35E.RollTableDraw"}}
</h4>
<div class="form-group">
  <label>{{localize "D35E.RollTableDrawFormula"}}</label>
  <input type="text" name="data.rollTableDraw.formula"  value="{{data.data.rollTableDraw.formula}}">
</div>
<div class="rolltable-link flexcol">
  {{#unless data.data.rollTableDraw.id}}
  <div style="width: 100%; text-align: center; padding: 12px">
    {{localize "D35E.DropRolltable"}}
  </div>
  {{else}}
  <h4>{{localize "D35E.LinkedRolltable"}} {{data.data.rollTableDraw.id}}<a style="float: right" class="colorized-link remove-rolltable-link">{{localize "D35E.UnlinkRolltable"}}</a></h4>
  <div class="form-group">
    <label>{{data.data.rollTableDraw.name}}</label>
  </div>
  {{/unless}}
</div>
{{/if}}
